#!/usr/bin/php -Cq
<?php

$argc = $_SERVER['argc'];
$argv = $_SERVER['argv'];

$root_path = dirname($argv[0]);
require_once($root_path.'/config.php');

foreach (glob($root_path.'/session/*.session') as $sid_file) {
    $fp = fopen($sid_file, 'rt');
    if ($fp == false) continue;
    $buf = fread($fp, filesize($sid_file));
    fclose($fp);
    $aSession = unserialize($buf);
    $now = time();
    if ($now >= $aSession['tm'])
        $len = $now - $aSession['tm'];
    else
        $len = $now;
    if ($len > $session_timeout)
        unlink($sid_file);
}

exit;

?>
